function [header_line, comb_data]=read_tabtxt(fnam, frmat, wht_spc)
% function [header_line, comb_data]=read_tabtxt(fnam, frmat, wht_spc)
% reads header line, and combined numerical and text data from a tab delimited 
% text file provided as parameter.
% 
% (C) P. Sykacek 2004, 2006, 2017 <peter@sykacek.net>

if nargin == 2
    wht_spc=' \b\n\r\t';
end
is_oct=syschck('oct');
% parse format string
idprc=findstr(frmat, '%');
n_prc=length(idprc);
header_format=repmat('%s ', 1, n_prc); % construct header format
%if is_oct
%   [header_line]=textread(fnam, header_format, 1, 'whitespace',' \n\t');
%else
   header_line=cell(1, n_prc);
   [header_line{:}]=textread(fnam, header_format, 1, 'whitespace',' \n', 'delimiter', '\t');
%end
header_line=[header_line{:}];
if is_oct
  comb_data=cell(1, n_prc);
  [comb_data{:}]=textread(fnam, frmat, 'headerlines', 1, 'whitespace', wht_spc);
else
  comb_data=cell(1, n_prc);
  [comb_data{:}]=textread(fnam, frmat, -1, 'headerlines', 1, 'whitespace', wht_spc, 'bufsize', 100*4095); %'whitespace',' \n', 'delimiter','\t',
end